org.jacoco.report

## Interface IReportVisitor

All Superinterfaces:
  IReportGroupVisitor

All Known Implementing Classes:
  MultiReportVisitor

    public interface IReportVisitor
    extends IReportGroupVisitor

Interface for all implementations to retrieve structured report data. Unlike nested `IReportGroupVisitor` instances the root visitor accepts exactly one bundle or group.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitEnd()` Has to be called after all report data has been emitted.
`void` `visitInfo(List<SessionInfo> sessionInfos, Collection<ExecutionData> executionData)` Initializes the report with global information.

### Methods inherited from interface org.jacoco.report.IReportGroupVisitor

`visitBundle, visitGroup`

### Method Detail

#### visitInfo

    void visitInfo(List<SessionInfo> sessionInfos,
                   Collection<ExecutionData> executionData)
            throws IOException

Initializes the report with global information. This method has to be called before any other method can be called.

Parameters:
  `sessionInfos` - list of chronological ordered `SessionInfo` objects where execution data has been collected for this report.
  `executionData` - collection of all `ExecutionData` objects that are considered for this report
Throws:
  `IOException` - in case of IO problems with the report writer

#### visitEnd

    void visitEnd()
           throws IOException

Has to be called after all report data has been emitted.

Throws:
  `IOException` - in case of IO problems with the report writer